classification
Title: Enum: do not convert private names into members
Type: behavior Stage: resolved
Components: Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ethan.furman Nosy List: barry, eli.bendersky, ethan.furman, miss-islington
Priority: normal Keywords: patch

Created on 2020-11-30 22:17 by ethan.furman, last changed 2020-12-14 23:58 by ethan.furman. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23722 merged ethan.furman, 2020-12-09 17:04
PR 23748 merged miss-islington, 2020-12-13 00:46
Messages (4)
msg382200 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2020-11-30 22:17
Currently, private names such as '__location' will get both name mangled and converted into an attribute, while `__location_` will get mangled, but not converted as the final name is sundered (e.g. `_MyEnum__location_`).

Just in case anyone is actually using private name Enum members we'll deprecate in 3.10, and in 3.11 private names will:

- not be converted
- not raise sunder errors
msg382795 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2020-12-09 16:42
Make that deprecate in 3.9, work correctly in 3.10.
msg382814 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2020-12-10 01:12
New changeset 7cf0aad96d1d20f07d7f0e374885f327c2d5ff27 by Ethan Furman in branch 'master':
bpo-42517: [Enum] do not convert private names into members (GH-23722)
https://github.com/python/cpython/commit/7cf0aad96d1d20f07d7f0e374885f327c2d5ff27
msg383024 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2020-12-14 23:57
New changeset aba12b67c18b17bb727a0d50dd0653e38cb64dc8 by Miss Islington (bot) in branch '3.9':
[3.9] bpo-42517: [Enum] deprecate private name members (GH-23722) (GH-23748)
https://github.com/python/cpython/commit/aba12b67c18b17bb727a0d50dd0653e38cb64dc8
History
Date User Action Args
2020-12-14 23:58:05ethan.furmansetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.9
2020-12-14 23:57:11ethan.furmansetmessages: + msg383024
2020-12-13 00:46:33miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request22606
2020-12-10 01:12:38ethan.furmansetmessages: + msg382814
2020-12-09 17:04:42ethan.furmansetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request22583
2020-12-09 16:42:51ethan.furmansetmessages: + msg382795
2020-11-30 22:17:33ethan.furmancreate